const partnersSwiper = new Swiper('.partners-swiper', {
    slidesPerView: 3,
    spaceBetween: 30,
    loop: true,
    autoplay: {
        delay: 1000,
    },
    speed: 1000,
});

document.querySelector('.partners-swiper').addEventListener('mouseenter', () => {
    partnersSwiper.autoplay.stop();
});

document.querySelector('.partners-swiper').addEventListener('mouseleave', () => {
    partnersSwiper.autoplay.start();
});


// Services Sliders
const servicesImageSwiper = new Swiper('.services-image-swiper', {
    slidesPerView: 1.5, // Show partial next/previous slides
    centeredSlides: true,
    spaceBetween: 30,
    speed: 800,
    loop: true,
});

const servicesInfoSwiper = new Swiper('.services-info-swiper', {
    slidesPerView: 1,
    spaceBetween: 30,
    speed: 800,
    loop: true,
});

// Sync both services sliders
servicesImageSwiper.controller.control = servicesInfoSwiper;
servicesInfoSwiper.controller.control = servicesImageSwiper;

